Name:           zstd
Version:        1.0.0
Release:        1%{?dist}
Summary:        Zstd compression library

License:        BSD
URL:            https://github.com/facebook/zstd
Source0:        https://github.com/facebook/zstd/archive/v1.0.0.tar.gz#/%{name}-%{version}.tar.gz

Patch0:         zstd-lib-no-rebuild.patch

%description
Zstd, short for Zstandard, is a fast lossless compression algorithm,
targeting real-time compression scenarios at zlib-level compression ratio.

%package -n lib%{name}
Summary:        Zstd shared library

%description -n lib%{name}
Zstandard compression shared library.

%package -n lib%{name}-devel
Summary:        Header files for Zstd library
Requires:       lib%{name}%{?_isa} = %{version}-%{release}

%description -n lib%{name}-devel
Header files for Zstd library.

%package -n lib%{name}-static
Summary:        Static Zstd library
Requires:       lib%{name}-devel%{?_isa} = %{version}-%{release}

%description -n lib%{name}-static
Static Zstd library.


%prep
%setup -q
find -name .gitignore -delete
%patch0 -p1

%build
%{?__global_ldflags:LDFLAGS="%__global_ldflags"}
for dir in lib programs; do
  CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=$LDFLAGS make %{?_smp_mflags} -C "$dir"
done

%check
make -C tests test-zstd

%install
make install \
  DESTDIR=$RPM_BUILD_ROOT \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir}

%files
%doc NEWS README.md
/usr/bin/zstd
/usr/bin/unzstd
/usr/bin/zstdcat
/usr/share/man/man1/zstd.1.gz
/usr/share/man/man1/unzstd.1.gz
/usr/share/man/man1/zstdcat.1.gz
%license LICENSE PATENTS

%files -n lib%{name}
%{_libdir}/libzstd.so.*
%license LICENSE PATENTS

%files -n lib%{name}-devel
%doc examples/
%{_includedir}/zbuff.h
%{_includedir}/zdict.h
%{_includedir}/zstd.h
%{_libdir}/pkgconfig/libzstd.pc
%{_libdir}/libzstd.so

%files -n lib%{name}-static
%{_libdir}/libzstd.a

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%changelog
* Mon Sep 5 2016 Pádraig Brady <pbrady@fb.com> 1.0.0-1
- Initial release
